SDL_BeginGPUCopyPass(3)

NAME
SDL_BeginGPUCopyPass - Begins a copy pass on a command buffer.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_GPUCopyPass * SDL_BeginGPUCopyPass(
    SDL_GPUCommandBuffer *command_buffer);

DESCRIPTION
All operations related to copying to or from buffers or textures take place inside a copy pass. You must not begin another copy pass, or a render pass or compute pass before ending the copy pass.

FUNCTION PARAMETERS

command_buffer
    a command buffer.

RETURN VALUE
( SDL_GPUCopyPass
 *) Returns a copy pass handle.

AVAILABILITY
This function is available since SDL 3.2.0.